curl -X POST https://api.sitespeak.ai/v1/{chatbot_id}/finetunes \
-H "Accept: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"question": "What is SiteSpeakAI?",
"suggested_answer": "SiteSpeakAI is a smart AI chatbot that can answer your visitors questions in realtime, saving you time and money on customer support costs."
}'
const response = await fetch('https://api.sitespeak.ai/v1/{chatbot_id}/finetunes', {
method: 'POST',
headers: {
'Accept': 'application/json',
'Authorization': 'Bearer YOUR_API_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
question: 'What is SiteSpeakAI?',
suggested_answer: 'SiteSpeakAI is a smart AI chatbot that can answer your visitors questions in realtime, saving you time and money on customer support costs.'
})
});
const data = await response.json();
console.log(data);
Updated Answers
Create Updated Answer
Creates or updates an existing updated answer for the chatbot
POST
/
v1
/
{chatbot_id}
/
finetunes
curl -X POST https://api.sitespeak.ai/v1/{chatbot_id}/finetunes \
-H "Accept: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"question": "What is SiteSpeakAI?",
"suggested_answer": "SiteSpeakAI is a smart AI chatbot that can answer your visitors questions in realtime, saving you time and money on customer support costs."
}'
const response = await fetch('https://api.sitespeak.ai/v1/{chatbot_id}/finetunes', {
method: 'POST',
headers: {
'Accept': 'application/json',
'Authorization': 'Bearer YOUR_API_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
question: 'What is SiteSpeakAI?',
suggested_answer: 'SiteSpeakAI is a smart AI chatbot that can answer your visitors questions in realtime, saving you time and money on customer support costs.'
})
});
const data = await response.json();
console.log(data);
Path Parameters
| Name | Type | Description |
|---|---|---|
| chatbot_id* | String | The ID of your chatbot. You can find the ID on the settings page for your chatbot. |
Headers
| Name | Type | Description |
|---|---|---|
| Accept* | String | application/json |
| Authorization* | String | Bearer |
Body
| Name | Type | Description |
|---|---|---|
| question* | String | Question that you would like to add an answer for. |
| suggested_answer* | String | The answer you would like your chatbot to respond with. |
curl -X POST https://api.sitespeak.ai/v1/{chatbot_id}/finetunes \
-H "Accept: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"question": "What is SiteSpeakAI?",
"suggested_answer": "SiteSpeakAI is a smart AI chatbot that can answer your visitors questions in realtime, saving you time and money on customer support costs."
}'
const response = await fetch('https://api.sitespeak.ai/v1/{chatbot_id}/finetunes', {
method: 'POST',
headers: {
'Accept': 'application/json',
'Authorization': 'Bearer YOUR_API_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
question: 'What is SiteSpeakAI?',
suggested_answer: 'SiteSpeakAI is a smart AI chatbot that can answer your visitors questions in realtime, saving you time and money on customer support costs.'
})
});
const data = await response.json();
console.log(data);
Response
- 200 Success
- 401 Permission denied
{
"message": "Finetune created successfully",
"finetune": {
"question": "What is SiteSpeakAI?",
"suggested_answer": "SiteSpeakAI is a smart AI chatbot that can answer your visitors questions in realtime, saving you time and money on customer support costs.",
"vector_id": "d18696f2-0142-4404-a362-96d542e3cb43",
"chatbot_id": "49d0204c-32f1-43c3-a1aa-6942f5737f43",
"id": "0d616a06-1dd4-4523-a741-20051c854938",
"updated_at": "2024-06-26T13:09:22.000000Z",
"created_at": "2024-06-26T13:09:22.000000Z"
}
}
Returns when the API token is invalid or missing.
Last modified on January 22, 2026
⌘I